Statistics.Configuration (images Maven Webapp 1.3.0-3.1.0 API)
Date: 2014-05-11

org.gcube.application.aquamaps.images.model

## Class Statistics.Configuration

- java.lang.Object
- - org.gcube.application.aquamaps.images.model.Statistics.Configuration

- Enclosing class:
    Statistics

      public class Statistics.Configuration
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Statistics.Configuration()`
    `Statistics.Configuration(String scope, String suitableId, String nativeId, String suitable2050Id, String native2050Id)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getNative2050Id()`
    `String` | `getNativeId()`
    `String` | `getScope()`
    `String` | `getSuitable2050Id()`
    `String` | `getSuitableId()`
    `void` | `setNative2050Id(String native2050Id)`
    `void` | `setNativeId(String nativeId)`
    `void` | `setScope(String scope)`
    `void` | `setSuitable2050Id(String suitable2050Id)`
    `void` | `setSuitableId(String suitableId)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Statistics.Configuration

          public Statistics.Configuration(String scope,
                                  String suitableId,
                                  String nativeId,
                                  String suitable2050Id,
                                  String native2050Id)

    - #### Statistics.Configuration

          public Statistics.Configuration()

  - ### Method Detail

    - #### getScope

          public String getScope()

    - #### setScope

          public void setScope(String scope)

    - #### getSuitableId

          public String getSuitableId()

    - #### setSuitableId

          public void setSuitableId(String suitableId)

    - #### getNativeId

          public String getNativeId()

    - #### setNativeId

          public void setNativeId(String nativeId)

    - #### getSuitable2050Id

          public String getSuitable2050Id()

    - #### setSuitable2050Id

          public void setSuitable2050Id(String suitable2050Id)

    - #### getNative2050Id

          public String getNative2050Id()

    - #### setNative2050Id

          public void setNative2050Id(String native2050Id)

Copyright © 2014. All Rights Reserved.